// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    language: '',
    rewardDetail: {},
    name: '',
    type: '',
    api: ''
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.setData({
      id: options.id,
      type: options.name
    });
    this.initData(this.data.type);
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {
    let language = wx.getStorageSync('langIndex');
    this.setData({ 'language': language.en});
  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {},

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {},

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {},

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {},

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {},

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {},
  initData(type) {
    switch (type) {
    case 'teamManagement':
      this.setData({
        api: 'plugin.mryt.api.team-manage.details',
        name: '获得销售佣金会员'
      });
      break;
    case 'team':
      this.setData({
        api: 'plugin.mryt.api.team.details',
        name: '新进会员'
      });
      break;
    case 'thanks':
      this.setData({
        api: 'plugin.mryt.api.thanksgiver.details',
        name: '新进会员'
      });
      break;
    case 'education':
      this.setData({
        api: 'plugin.mryt.api.train.details',
        name: '下级会员'
      });
      break;
    case 'immediate':
      this.setData({
        api: 'plugin.mryt.api.direct-award.details',
        name: '新进会员'
      });
      break;
    case 'tier':
      this.setData({
        api: 'plugin.mryt.api.tier.details',
        name: '新进会员'
      });
      break;
    default:
      this.setData({
        api: 'plugin.mryt.api.team-manage.details',
        name: '获得销售佣金会员'
      });
      break;
    }
  },
  getData() {
    let urlStr = app.getNetAddresss(this.data.api);
    urlStr += '&award_id=' + this.data.id;
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            rewardDetail: resdata.data
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: 'none'
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  }

});
